Page MenuHomePhabricator

Provide a way to find out if current user is potential translator
Closed, ResolvedPublic

Description

Splitting this use case from T216032: Adjust new article invite for out of beta graduation

We need to find whether the current user a potential translator so that we can provide various invitations to use CX such as the one given in T216032.

A potential translator can be:

  1. A user whose home wiki is not the current wiki
  2. A user who has edits or have account in more than one wiki(Example API https://en.wikipedia.org/w/api.php?action=query&format=json&prop=&list=&meta=globaluserinfo&guiprop=editcount|merged)
  3. A user who has used compact language links feature to switch between wikis

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterFind out if current user is potential translator

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2019, 10:45 AM
Nikerabbit updated the task description. (Show Details)May 20 2019, 11:02 AM
santhosh triaged this task as Normal priority.May 20 2019, 11:57 AM

Change 511634 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Find out if current user is potential translator

https://gerrit.wikimedia.org/r/511634

I removed the home wiki check - I think it does not say much about whether user is translator or not.

I also added some check whether the wiki where user edited is non-wikipedia sites like mediawiki, commons or meta. Edits there are not counted.

Change 511634 merged by Santhosh:
[mediawiki/extensions/ContentTranslation@master] Find out if current user is potential translator

https://gerrit.wikimedia.org/r/511634

Jpita added a subscriber: Jpita.Jul 24 2019, 2:06 PM

@santhosh anything I can check here?

@santhosh anything I can check here?

There is not direct feature addition with this patch. This will be used in T216500: Surface the article the user is trying to create when suggesting to translate for choosing the user to show the invite defined there.

Jpita closed this task as Resolved.Aug 12 2019, 10:39 AM